#
# spec file for package docker_auth
#
# Copyright (c) 2021 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           docker_auth
Version:        1.9.0+git20211128.636c09a
Release:        1.14
Summary:        Authenticaton for container registry with tokens
License:        Apache-2.0
URL:            https://github.com/cesanta/docker_auth
Source:         docker_auth-%{version}.tar.xz
BuildRequires:  golang(API) >= 1.16
%ifarch %arm aarch64
BuildRequires:  binutils-gold
%endif

%description
This package contains a tool to authenticate the access to
a container registry. Access is granted defined by an access
control list for every user.

%prep
%setup -q
rm chart/docker-auth/.helmignore
chmod 644 chart/docker-auth/templates/*.*

%build
cd auth_server
# Make the go command working in OBS and on all architectures:
sed -i -e 's|CGO_ENABLED=0 go build -v --ldflags=--s|go build -mod vendor -buildmode=pie -v|g' -e "s|-extldflags '-static' |-extldflags '-pie' |g" Makefile
make

%install
mkdir -p %{buildroot}%{_sbindir}
install -m 755 auth_server/auth_server %{buildroot}%{_sbindir}/

%files
%license LICENSE
%doc README.md chart docs examples
%{_sbindir}/auth_server

%changelog
* Wed Dec  8 2021 kukuk@suse.com
- Update to version 1.9.0+git20211128.636c09a:
  * Support Unix Domain Sockets (#328)
  * Remove httpdown (#325)
  * bugfix: Added sign-in link under gitlab page template (#323)
  * Update helm to v1.8.0 of auth_server (#321)
  * Added OpenID Connect support (#307)
  * feat: Added Gitlab Authentication method (#319)
  * update to golang 1.17
  * Fix regexp parsing IPv6 without port indication in remote_addr (#318)
  * Updated mongodb driver (#316)
  * Add codeql scanning (#314)
  * Update README.md (#312)
* Thu Jul 15 2021 kukuk@suse.com
- Update to version 1.7.1+git20210707.946490c:
  * fix: segmentation fault on arm64 image (#311)
  * Allow initial LDAP bind with user credentials (#246) (#309)
  * deprecate v1beta1/Ingress in chart (#306)
  * document change in tags
  * Updated helm repository
  * Update helm chart to 1.7.0 (#305)
  * update url
  * have edge build
  * build on git tag
  * build docker image on git tag (#304)
  * periodic go vendor update (#303)
  * cross-compile docker image to arm
  * Remove Python and go-bindata (#302)
  * build with go1.16 (#301)
  * Support the Casbin authorization method. (#182)
  * Connect to relational databases using xorm.io (#277)
  * specify v1.15.x when running build (#297)
  * Install go-binddata as a global binary (#295)
  * Create Github action for docker nightlies (#291)
  * Helm2 to 3 (#292)
  * Upgrade go deps (#293)
  * rm compiled binary in repo
  * Add Github actions for go tests
  * Move to Python3
  * Fix go vet failures
  * Fix Docker Hub link in README.md (#282)
  * Fix scope parsing (#274)
  * Returning the "token"-field (#273)
  * Add a Redis-based token storage implementation (#220)
  * Send the scope class as part of the token
* Wed Jan 22 2020 kukuk@suse.com
- Update to version 1.5.0+git20191208.df57cca:
  * Existing secret support for helm chart (#267)
  * Switch to Go 1.13
  * Improve oAuth compatibility (#265)
* Tue Oct 22 2019 Jeff Kowalczyk <jkowalczyk@suse.com>
- Add %%ifarch %%arm aarch64 BuildRequires: binutils-gold to fix
  /usr/lib64/go/{version}/pkg/tool/linux_arm64/link: running gcc failed: exit status 1
  collect2: fatal error: cannot find 'ld'-
* Mon Oct 21 2019 kukuk@suse.de
- Remove unused vendor/github.com/facebookgo/stats
* Sat Oct 12 2019 kukuk@suse.com
- Update to version 1.4.0+git20190925.6f38360:
  * Move the whole charts directory to the root of the repo
  * fix simple.yaml example: replace user with test
  * optimize helm chart structure:split configmap into two parts(configmap and secret)
  * feat: extended TLS configuration (#259)
  * add helm chart of docker_auth that supports High-Available
  * Use go get instead of go install
  * Add plugin authn and authz implementations
  * Revert "return 401 when there is no user or password (#251)"
  * Use a different go-bindata package
  * Change from using govendor to go modules for managing dependencies
  * Add support for lowercases DN elements (#247)
  * return 401 when there is no user or password (#251)
  * gofmt everything
  * Add custom authentication and authorization implementations to avoid spawning new processes (#254)
* Sat Oct 12 2019 kukuk@suse.com
- Initial release
